# Mijn server
Deze repo is een uitleg van mijn thuis server setup.

# Mijn netwerk overzicht:
<img src="https://cdn.lermer.nl/afb/Netwerk.svg">
<br><br>

# Handige Links:
- Op Debian gebaseerd besturingssysteem: https://www.openmediavault.org/
- Hier heb ik mijn meeste docker containers vandaan: https://fleet.linuxserver.io/<br /> 
- Huidige status van mijn server: http://uptime.lermer.nl/<br /> 
- Om docker containers om te zetten naar docker-compose: https://www.composerize.com/
- Portainer app templates: https://raw.githubusercontent.com/dnburgess/dbtechtemplate/master/Template/v2/templates.json

# Handig:
external ip check: ```curl ipinfo.io```

# Docker tips:

- Alle containers weergeven: ```docker ps -a```
- container stoppen```docker container stop xx``` 
- container verwijderen```docker container rm xx```

### Opschonen:
- ```docker system prune -a```
- ```docker network prune```

### Bash:
```docker exec -it xxxx bash```

## Docker-compose:
- stoppen:     ```docker-compose stop```
- Downloaden:   ```docker-compose pull```
- Build Normaal:   ```docker-compose up -d```
- Build Lokaal:    ```docker-compose build --pull```